#!/bin/sh
 
cd ${0%${0##*/}}. 
 
if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

BGRUNNER_DIR=.
CLASSPATH=${BGRUNNER_DIR}:${BGRUNNER_DIR}/lib/*

# update
if [ -d ${BGRUNNER_DIR}/lib.update ];
then
    rm -f ${BGRUNNER_DIR}/lib/runner*
    mv -f ${BGRUNNER_DIR}/lib.update/* ${BGRUNNER_DIR}/lib
    rm -fr ${BGRUNNER_DIR}/lib.update
fi

${JAVA_HOME}/bin/java -Dsun.net.client.defaultConnectTimeout=1000 -Xmx512m  -Duser.language=ru -Duser.region=RU -cp ${CLASSPATH} ru.bitel.bgbilling.client.runner.BGClientRunner $1 &
